<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

include 'moduls/ini.php';
include 'moduls/head.php';
include 'moduls/id.php';
include 'moduls/fun.php';
include 'moduls/connect.php';

###############Если нарезка выключенa##########
if($setup['cut_change'] == 0) die('Not found');
###############Проверка переменных#############
$id = intval($_GET['id']);
$s=10;  $p=17;  $way='time';
###############Получаем инфу о файле###########
$file_info = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
if (!is_file ($file_info['path'])) exit ('Запрашиваемый файл не существует!');
#######Получаем имя файла и обратный каталог#####
$filename = pathinfo($file_info['path']);
$ext = $filename['extension'];
$dir = $filename[dirname]."/";
$filename = $filename[basename];
$back = mysql_fetch_array(mysql_query("SELECT * FROM `".$setup['pref']."files` WHERE `path` = '".$dir."'"));
//------------------------------------------------------------------------------------------

	$error = 0;
	if($error==0){
	$list = glob ($setup['mp3path'].'/*');
	$all = count ($list);
	foreach($list as $key=>$string)
	{
		$filesize = round(filesize($string)/1024/1024, 1);
	    $allsize = $allsize + $filesize;
	    if ($allsize > $setup['limit'])
	    {
	    	$dire = opendir ($setup['mp3path'].'/');
    		while ( $file = readdir ($dire))
    		{
				if (($file != '.') && ($file != '..')) unlink ($setup['mp3path'].'/'.$file);
			}
			break;
		}
	}
$randname=basename($file_info['name']).'_'.mt_rand(100000,99999999).'.mp3';
$randintval = $setup['mp3path'].'/'.$randname;
if(copy($file_info['path'],$randintval))
{
	$fp = fopen($randintval, 'rb');
	$raz = filesize($randintval);
	$s = intval($s);
	$p = intval($p);
	if($way=='size')
	{
		$s = $s*1024;
		$p = $p*1024;
		if($s>$raz||$s<0){$s = 0;}
		if($p>$raz||$p<$s){$p = $raz;}
	}
	else
	{
		$id3 = new MP3_Id();
		$result = $id3->read($randintval);
		$result = $id3->study();
		$byterate = $id3->getTag('bitrate')/8;
		$secbit = $raz/1024/$byterate;
		if($s>$secbit||$s<0){$s = 0;}
		if($p>$secbit||$p<$s){$p = $secbit;}
		$s = $s*$byterate*1024;
		$p = $p*$byterate*1024;
	}
	$p = $p-$s;
	fseek($fp, $s);
	$filefp = fread($fp, $p);
	fclose($fp);
	unlink($randintval);
	$fp = fopen($randintval, 'xb');
	if(!fwrite($fp, $filefp) === false)
	{
		$fp = fopen($randintval, 'rb');
		$ras= round(filesize($randintval)/1024);;
		fclose($fp);
		$all++;
		$d = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
		$loader = strtok($ua,'(').'('.$ip.')';
		$loader = substr(del($loader),0,60);
		$load_write = mysql_query("UPDATE `files` SET `loads`='".($d['loads']+1)."', `timeload`='".$time."', `lastloader` = '".clean($loader)."' WHERE `id`='".$id);

/*echo '<div class="a">Файл успешно нарезан!</div><div class="dl">
<a href="'.$randintval.'"><strong>Скачать ('.$ras.' кб)</strong></a><br>
<input class="enter" type="text" name="link" value="http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['PHP_SELF']).'/'.$randintval.'"/>
</div>';*/
 header('Location: '.$randintval.' ');
	}
	else { include 'moduls/header.php'; echo '<div class="iblock">Ошибка! Обратитесь к администратору или попробуйте еще раз.</div>';}
}}
else { include 'moduls/header.php';  echo '<div class="mblock">Не удалось считать файл!</div>';}

echo '<div class="sob">
- <a href="view.php?id='.$id.'">К описанию</a><br>
- <a href="index.php?id='.$back['id'].'">В категорию</a><br>
- <a href="index.php">В загрузки</a><br>

</div>';
include 'moduls/foot.php';
?>